#ifndef DIALOGIMPL_H
#define DIALOGIMPL_H

#include "ui_dialog.h"
# include "thread.h"
#include "shutthread.h"
#include "ntmap.h"
#include <QSystemTrayIcon>

//
//
class DialogImpl : public QDialog, public Ui::Dialog
{
Q_OBJECT
public:
	DialogImpl( QWidget * parent = 0, Qt::WFlags f = 0);
	// 
	
	QString countstr,sstr;
	//QTime ctime;
	 NtMapDialog *ndialog;
	 QMessageBox msgBox; //message box to show shutdown
	 QDateTime ctime; //shutdown time
	 
	 

	char buf[25];
	int buf1,buf2,i,cspeed,ret;
	fstream f;	
	double vvdown;
	QGraphicsScene scene;
	QFont mfont;
	QLineF line1,line2,line3,line4,line5;	
	int x1,y1,x2,y2;
	void gviewshow();
	QString spdstring,pathstr;
	bool ok;
	
protected:
    void closeEvent(QCloseEvent *event);
private:
    Thread threadA;
    shutthread sthread;
    int count,sysv,idlecounter;//idlecounter acts as counter for idle connection time
    double lvdown,vdown; 
    QSystemTrayIcon *trayicon;
	  QMenu *stmenu ;
	  QIcon icon;   
	  QPoint lastPos;
    QSize lastSize;
    QAction *minimizeAction;
     QAction *maximizeAction;
     QAction *restoreAction;
     QAction *quitAction;
     void create_sys_tray();
     void create_msg_box();

    
private slots:
    void addClick();
    void addShut();
    void addExit();
    void chgconok();
    void chgconcut();
    void addMap();
    void addSave();
    void addReset();
    void initshut(QString);
    //void iconActivated(QSystemTrayIcon::ActivationReason reason);
    void tray_icon_click(QSystemTrayIcon::ActivationReason areason);


    
    


};
#endif




